Bug 481769 - qpidc-devel is huge (~125MB)
qpidc-devel is huge (~125MB)
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
1.1
All Linux
low Severity medium
: ---
: ---
Assigned To: messaging-bugs
Frantisek Reznicek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-27 10:03 EST by Matthew Farrellee
Modified: 2015-11-15 19:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-16 14:04:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Farrellee 2009-01-27 10:03:16 EST
The qpidc-devel package is ~125MB in size. Seems strange to me. A quick
look through suggests that size comes from the included documentation.
Considered separating it out? Maybe follow the qpidc-devel[-core,-doc]
pattern.

$ rpm -q qpidc-devel
qpidc-devel-0.4.728142-1.fc10.i386

A little more digging on this show the bulk is coming from images.

$ du -sh /usr/share/doc/qpidc-devel-0.4.728142/html/
181M    /usr/share/doc/qpidc-devel-0.4.728142/html/

$ cp /usr/share/doc/qpidc-devel-0.4.728142/html/*.png tmp
$ du -sh tmp
146M    tmp

And many of the images look to be duplicates of one another.

$ du -s /usr/share/doc/qpidc-devel-0.4.728142/html/*.png | sort -n | grep ^456 | awk '{print $2}' | xargs eog

$ ^456^448
du -s /usr/share/doc/qpidc-devel-0.4.728142/html/*.png | sort -n | grep ^448 | awk '{print $2}' | xargs eog

$ du -s /usr/share/doc/qpidc-devel-0.4.728142/html/*.png | awk '{print $1}' | sort | uniq -c | sort -n | grep -e 448 -e 456
     22 448
     73 456

The images of size 456 and 448 make up 456*72 + 448*21 =~ 40MB (1 of each set is different).

Is there a way to generate the doc's images without creating the same image over and over?
Comment 1 Gordon Sim 2009-02-16 14:04:21 EST
Now down to 3.4M (qpidc-devel-0.4.743861-1.el5.i386.rpm); closing as this does not require QE verification.

Note You need to log in before you can comment on or make changes to this bug.